Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.resource
Class ResourceRegistry

    java.lang.Object
      org.eclipse.jface.resource.ResourceRegistry

Direct Known Subclasses:
  ColorRegistry, FontRegistry

public abstract class ResourceRegistry
extends Object

Abstract baseclass for various JFace registries.

Since:
  3.0

Constructor Summary
`ResourceRegistry()`

Method Summary
`void` | `addListener(IPropertyChangeListener listener)` Adds a property change listener to this registry.
`protected abstract void` | `clearCaches()` Disposes all currently allocated resources.
`protected void` | `fireMappingChanged(String name, Object oldValue, Object newValue)` Fires a `PropertyChangeEvent`.
`abstract Set` | `getKeySet()`
`abstract boolean` | `hasValueFor(String key)` Return whether or not the receiver has a value for the supplied key.
`void` | `removeListener(IPropertyChangeListener listener)` Removes the given listener from this registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceRegistry

    public ResourceRegistry()

Method Detail

### addListener

    public void addListener(IPropertyChangeListener listener)

  Adds a property change listener to this registry.

  Parameters:
    `listener` - a property change listener

### clearCaches

    protected abstract void clearCaches()

  Disposes all currently allocated resources.

### getKeySet

    public abstract Set getKeySet()

  Returns:
    the set of keys this manager knows about. This collection should be immutable.

### hasValueFor

    public abstract boolean hasValueFor(String key)

  Return whether or not the receiver has a value for the supplied key.

  Parameters:
    `key` - the key
  Returns:
    `true` if there is a value for this key

### fireMappingChanged

    protected void fireMappingChanged(String name,
                                      Object oldValue,
                                      Object newValue)

  Fires a `PropertyChangeEvent`.

  Parameters:
    `name` - the name of the symbolic value that is changing.
    `oldValue` - the old value.
    `newValue` - the new value.

### removeListener

    public void removeListener(IPropertyChangeListener listener)

  Removes the given listener from this registry. Has no affect if the listener is not registered.

  Parameters:
    `listener` - a property change listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.